Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Timer_Hash_Upcall Class Template Reference

Functor for Timer_Hash. More...

`#include <Timer_Hash_T.h>`

Collaboration diagram for ACE_Timer_Hash_Upcall:

[legend]
List of all members.

## Public Types
typedef ACE_Timer_Queue_T< ACE_Event_Handler *, ACE_Timer_Hash_Upcall< TYPE, FUNCTOR, ACE_LOCK>, ACE_Null_Mutex> | TIMER_QUEUE
## Public Methods
| ACE_Timer_Hash_Upcall (void)
| Default constructor (creates an invalid object, but needs to be here so timer queues using this functor can be constructed).
| ACE_Timer_Hash_Upcall (ACE_Timer_Queue_T<TYPE, FUNCTOR, ACE_LOCK> *timer_hash)
| Constructor that specifies a Timer_Hash to call up to.
int | timeout (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg, const ACE_Time_Value &cur_time)
| This method is called when the timer expires.
int | cancellation (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler)
| This method is called when the timer is canceled.
int | deletion (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg)
| This method is called when the timer queue is destroyed and the timer is still contained in it.
## Private Methods
| ACE_Timer_Hash_Upcall (const ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK> &)
void | operator= (const ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK> &)
## Private Attributes
ACE_Timer_Queue_T<TYPE, FUNCTOR, ACE_LOCK>* | timer_hash_
| Timer Queue to do the calling up to.

## Detailed Description

### template<class TYPE, class FUNCTOR, class ACE_LOCK> template class ACE_Timer_Hash_Upcall

Functor for Timer_Hash.

This class calls up to the Timer Hash's functor from the timer queues in the hash table

## Member Typedef Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
typedef ACE_Timer_Queue_T<ACE_Event_Handler *, ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>, ACE_Null_Mutex> ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::TIMER_QUEUE

## Constructor & Destructor Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK> ( | void )

| Default constructor (creates an invalid object, but needs to be here so timer queues using this functor can be constructed).

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK> ( | ACE_Timer_Queue_T< TYPE,FUNCTOR,ACE_LOCK >* timer_hash )

| Constructor that specifies a Timer_Hash to call up to.

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK> ( | const ACE_Timer_Hash_Upcall< TYPE,FUNCTOR,ACE_LOCK >& )`[private]`

## Member Function Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
int ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::cancellation ( | TIMER_QUEUE & timer_queue,
| ACE_Event_Handler * handler )

| This method is called when the timer is canceled.

template<classTYPE, classFUNCTOR, classACE_LOCK>
int ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::deletion ( | TIMER_QUEUE & timer_queue,
| ACE_Event_Handler * handler,
| const void * arg )

| This method is called when the timer queue is destroyed and the timer is still contained in it.

template<classTYPE, classFUNCTOR, classACE_LOCK>
void ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::operator= ( | const ACE_Timer_Hash_Upcall< TYPE,FUNCTOR,ACE_LOCK >& )`[private]`

template<classTYPE, classFUNCTOR, classACE_LOCK>
int ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::timeout ( | TIMER_QUEUE & timer_queue,
| ACE_Event_Handler * handler,
| const void * arg,
| const ACE_Time_Value & cur_time )

| This method is called when the timer expires.

## Member Data Documentation

template<classTYPE, classFUNCTOR, classACE_LOCK>
ACE_Timer_Queue_T< TYPE,FUNCTOR,ACE_LOCK >* ACE_Timer_Hash_Upcall<TYPE, FUNCTOR, ACE_LOCK>::timer_hash_`[private]`

| Timer Queue to do the calling up to.

The documentation for this class was generated from the following files:

- Timer_Hash_T.h
- Timer_Hash_T.cpp